Waiting for engine...
Skip to main content

Boomi Platform API Reference (1.0.0) - Branch

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Branch

You can use the Branch object to create, update, and delete development branches on your account.

Creates a Branch object

  • To create a branch, you need the branch ID for the branch from which you want to create a new branch. New branches return ready as false until the creating stage has cleared.
  • You can also create a branch from a packaged component. To do so, use the ID of the packaged component as the packageId.
  • To create a branch from a deployment, use the ID of the deployment for the packageId.
Authorizations:
basicAuth
Request Body schema:
optional
name
string

The name of the branch.

deleted
boolean

Whether the branch is deleted.

createdBy
string

The user who created the branch.

parentId
string

The ID of the parent branch.

modifiedBy
string

The user who last modified the branch.

deploymentId
string
createdDate
string <date-time>

The date and time when the branch was created.

modifiedDate
string <date-time>

The date and time when the branch was updated.

id
string

The ID of the branch.

packageId
string

The ID of the packaged component from which the branch is created.

stage
string

The branch status: CREATING, NORMAL (ready for use), or DELETING.

description
string
ready
boolean

Whether the branch is ready to use.

Responses

Response Schema:
name
string

The name of the branch.

deleted
boolean

Whether the branch is deleted.

createdBy
string

The user who created the branch.

parentId
string

The ID of the parent branch.

modifiedBy
string

The user who last modified the branch.

deploymentId
string
createdDate
string <date-time>

The date and time when the branch was created.

modifiedDate
string <date-time>

The date and time when the branch was updated.

id
string

The ID of the branch.

packageId
string

The ID of the packaged component from which the branch is created.

stage
string

The branch status: CREATING, NORMAL (ready for use), or DELETING.

description
string
ready
boolean

Whether the branch is ready to use.

Request samples

Content type
{
  • "parentId": "branchId",
  • "name": "branchname"
}

Response samples

Content type
{
  • "@type": "Branch",
  • "id": "branchId",
  • "name": "branchname",
  • "createdBy": "userboomi.com",
  • "createdDate": "2024-02-12T21:05:27.590Z",
  • "parentId": "parentbranchId",
  • "ready": "false",
  • "deleted": "false",
  • "stage": "CREATING"
}

Retrieves an instance of a Branch object

When you have the branch ID, you can query for additional information about the branch. Send an HTTP GET where {accountId} is the ID of the authenticating account and {branchId} is the ID of the branch you want to query.

Authorizations:
basicAuth
path Parameters
id
required
string

The ID of the branch.

Responses

Response Schema:
name
string

The name of the branch.

deleted
boolean

Whether the branch is deleted.

createdBy
string

The user who created the branch.

parentId
string

The ID of the parent branch.

modifiedBy
string

The user who last modified the branch.

deploymentId
string
createdDate
string <date-time>

The date and time when the branch was created.

modifiedDate
string <date-time>

The date and time when the branch was updated.

id
string

The ID of the branch.

packageId
string

The ID of the packaged component from which the branch is created.

stage
string

The branch status: CREATING, NORMAL (ready for use), or DELETING.

description
string
ready
boolean

Whether the branch is ready to use.

Response samples

Content type
{
  • "Branch": {
    • "id": "Qjox",
    • "name": "main",
    • "createdBy": "adminboomi.com",
    • "createdDate": "2023-08-24T02:10:07Z",
    • "ready": "true",
    • "deleted": "false",
    • "stage": "NORMAL",
    • "description": "main branch"
    }
}

Modifies or updates a Branch object

To update a branch, you need the branch ID. Currently, you can only update the name of the branch.

Authorizations:
basicAuth
path Parameters
id
required
string

The ID of the branch.

Request Body schema:
optional
name
string

The name of the branch.

deleted
boolean

Whether the branch is deleted.

createdBy
string

The user who created the branch.

parentId
string

The ID of the parent branch.

modifiedBy
string

The user who last modified the branch.

deploymentId
string
createdDate
string <date-time>

The date and time when the branch was created.

modifiedDate
string <date-time>

The date and time when the branch was updated.

id
string

The ID of the branch.

packageId
string

The ID of the packaged component from which the branch is created.

stage
string

The branch status: CREATING, NORMAL (ready for use), or DELETING.

description
string
ready
boolean

Whether the branch is ready to use.

Responses

Response Schema:
name
string

The name of the branch.

deleted
boolean

Whether the branch is deleted.

createdBy
string

The user who created the branch.

parentId
string

The ID of the parent branch.

modifiedBy
string

The user who last modified the branch.

deploymentId
string
createdDate
string <date-time>

The date and time when the branch was created.

modifiedDate
string <date-time>

The date and time when the branch was updated.

id
string

The ID of the branch.

packageId
string

The ID of the packaged component from which the branch is created.

stage
string

The branch status: CREATING, NORMAL (ready for use), or DELETING.

description
string
ready
boolean

Whether the branch is ready to use.

Request samples

Content type
{
  • "id": "branchId",
  • "name": "branchname"
}

Response samples

Content type
{
  • "@type": "Branch",
  • "id": "branchId",
  • "name": "branchname",
  • "createdBy": "userboomi.com",
  • "createdDate": "2024-02-12T21:05:28Z",
  • "modifiedBy": "userboomi.com",
  • "modifiedDate": "2024-02-14T14:20:52.402Z",
  • "parentId": "parentbranchId",
  • "ready": "true",
  • "deleted": "false",
  • "stage": "NORMAL"
}

Deletes a Branch object

Deletes a branch.

  • You can delete branches stuck in a non-ready state (such as CREATING, DELETING, FAILED_TO_CREATE, FAILED_TO_DELETE, and FAILED_TO_MERGE) after the minimum dwell time has passed. The default time is 15 minutes and can be configured via EngineConfig.BRANCH_FORCE_DELETE_MIN_DWELL_MINUTES.
  • If the minimum dwell time hasn't been exceeded, the following message is returned: The {branchName} branch is currently processing. Please try again in {X} minutes.
  • If the branch is locked by an active merge requests, the following message is returned: The {branchName} branch is locked. MR-{id} is still processing. Try again soon.
Authorizations:
basicAuth
path Parameters
id
required
string

The ID of the branch.

Responses

Response samples

Content type
{
  • "message": "Access denied due to insufficient permissions."
}

Retrieves multiple Branch objects by identifier

To learn more about bulk, refer to the topic Bulk GET operations.

Authorizations:
basicAuth
Request Body schema:
optional
Array of objects (BulkId)
type
string
Enum: "GET" "DELETE" "UPDATE" "CREATE"

Responses

Response Schema:
Array of objects
Array
required
object (Branch)
errorMessage
string
id
string
index
integer <int32>
statusCode
integer <int32>

Request samples

Content type
{
  • "request": [
    • {
      }
    ],
  • "type": "GET"
}

Response samples

Content type
{
  • "response": [
    • {
      }
    ]
}

Queries for a Branch object(s)

You must first retrieve the ID of your main branch, using the name of your current branch. If you haven't created any branches, your current branch will be main.

When you query a branch, it might be in one of the following states:

  • CREATING: The branch is being created
  • NORMAL: The branch is ready to use
  • DELETING: The branch is being deleted.

For general information about the structure of QUERY filters, their sample payloads, and how to handle the paged results, refer to Query filters and Query paging.

Authorizations:
basicAuth
Request Body schema:
optional
required
object
object

Responses

Response Schema:
numberOfResults
integer <int32>
queryToken
string

By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request.

Array of objects (Branch)

Request samples

Content type
Example
{
  • "QueryFilter": {
    • "expression": {
      }
    }
}

Response samples

Content type
{
  • "QueryResult": {
    • "numberOfResults": "1",
    • "result": {
      }
    }
}

Retrieves additional results for a Branch query

To learn about using queryMore, refer to the topic Query paging.

Authorizations:
basicAuth
Request Body schema: text/plain
required
string

Responses

Response Schema:
numberOfResults
integer <int32>
queryToken
string

By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request.

Array of objects (Branch)

Response samples

Content type
{
  • "QueryResult": {
    • "numberOfResults": "1",
    • "result": {
      }
    }
}